# tbb::task_list Class Reference
[Task Scheduling]

A list of children. More...

`#include <task.h>`

List of all members.

## Public Member Functions
| task_list ()
| Construct empty list.
| ~task_list ()
| Destroys the list, but does not destroy the task objects.
bool | empty () const
| True if list if empty; false otherwise.
void | push_back (task &task)
| Push task onto back of list.
task & | pop_front ()
| Pop the front task from the list.
void | clear ()
| Clear the list.
## Friends
class | task
class | interface5::internal::task_base

## Detailed Description

A list of children.

Used for method task::spawn_children

The documentation for this class was generated from the following file:

- task.h

Copyright © 2005-2013 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.